Caddy(8)

NAME

caddy-hash-password - Hashes a password and writes base64

SYNOPSIS

caddy hash-password [flags]

DESCRIPTION

Convenient way to hash a plaintext password. The resulting hash is written to stdout as a base64 string.

--plaintext, when omitted, will be read from stdin. If Caddy is attached to a controlling tty, the plaintext will not be echoed.

--algorithm may be bcrypt or scrypt. If scrypt, the default parameters are used.

Use the --salt flag for algorithms which require a salt to be provided (scrypt).

Note that scrypt is deprecated. Please use 'bcrypt' instead.

OPTIONS

--algorithm="bcrypt"
    Name of the hash algorithm

-h, --help[=false]
    help for hash-password

--plaintext=""
    The plaintext password

--salt=""
    The password salt

SEE ALSO

caddy(8)

HISTORY

10-May-2025 Auto generated by spf13/cobra